Subject: bug#41465: closed (Re: bug#41465: 28.0.50 (but also earlier versions); etags asserion error (with too many files?))

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 24 May 2020 15:05:02 +0000

Your bug report

#41465: 28.0.50 (but also earlier versions); etags asserion error (with too many files?)

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
41465: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=41465
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#41465: 28.0.50 (but also earlier versions); etags asserion error (with too many files?)
From: Eli Zaretskii <[email-masked]>
To: Dmitry Gutov <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sun, 24 May 2020 18:04:42 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Dmitry Gutov <[email-masked]>
> Date: Sun, 24 May 2020 04:43:25 +0300
> 
> > For me this assertion error is not a big problem since I now
> > exclude the linux src tree from the tags creation because of
> > emacs performance reasons.
> 
> Thanks you for that addition.
> 
> Indeed, when I configure Emacs with
> 
>    CFLAGS='-g -O2' --enable-checking
> 
> etags does abort with assertion errors you described.

Thanks, I applied the trivial band-aid to fix this on the emacs-27
branch.

Subject: 28.0.50 (but also earlier versions); etags asserion error (with too many files?)
From: Gregor Zattler <[email-masked]>
To: [email-masked]
Date: Fri, 22 May 2020 21:31:57 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Dear emacs developers,

I get an assertion error when executing the following line
(from a cron job of mine):

grfz@no:~/src$ find ~/src -type f -print0 | egrep -zZ '(\.el|\.c|\.h)(\.gz)?$' | xargs -0r etags
etags: etags.c:1987: pfnote: Assertion `name == NULL || name[0] != '\0'' failed.
xargs: etags: terminated by signal 6
125 (master *) grfz@no:~/src$

This happens with etags from debian buster, as with etags
build from emacs-27 branch of emacs git repo, as with etags build
from feature/native-comp branch.

Under ~/src there is also the linux kernel git repo.  There
is no assertion error if I filter it out:

$ find . -type f -print0 | egrep -vzZ linux | egrep -zZ '(\.el|\.c|\.h)(\.gz)?$' | xargs -0r etags
0 (master *) grfz@no:~/src$

There is also no assertion error if I filter for .el files
only:

125 (master *) grfz@no:~/src$ find ~/src -type f -print0 | egrep -zZ '(\.el)(\.gz)?$' | xargs -0r etags
0 (master *) grfz@no:~/src$

Therefore I assume this somehow is related to the number of files.

Ciao; Gregor
--
 -... --- .-. . -.. ..--.. ...-.-